# Ogre::EdgeData::EdgeGroup Struct Reference

A group of edges sharing the same vertex data. More...

`#include <OgreEdgeListBuilder.h>`

List of all members.

## Public Attributes

size_t | vertexSet
| The vertex set index that contains the vertices for this edge group.
const VertexData * | vertexData
| Pointer to vertex data used by this edge group.
EdgeList | edges
| The edges themselves.

## Detailed Description

A group of edges sharing the same vertex data.

Definition at line 77 of file OgreEdgeListBuilder.h.

## Member Data Documentation

EdgeList Ogre::EdgeData::EdgeGroup::edges

| The edges themselves. Definition at line 84 of file OgreEdgeListBuilder.h.

const VertexData* Ogre::EdgeData::EdgeGroup::vertexData

| Pointer to vertex data used by this edge group. Definition at line 82 of file OgreEdgeListBuilder.h.

size_t Ogre::EdgeData::EdgeGroup::vertexSet

| The vertex set index that contains the vertices for this edge group. Definition at line 80 of file OgreEdgeListBuilder.h.

The documentation for this struct was generated from the following file:

- OgreEdgeListBuilder.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:35 2005